Subject: bug#33567: Syntactic fontification of diff hunks

From: Juri Linkov <[email-masked]>
Date: Sun, 30 Dec 2018 01:07:12 +0200

>> With that in mind, I'm going to experiment with even lighter colors,
>> similar to what I originally proposed, in my private config:
>>
>>      (set-face-background 'diff-refine-added "#d0ffd0")
>>      (set-face-background 'diff-refine-removed "#ffd6d6")
>>
>> Maybe try them out sometime.
>
> These are better on large chunks, but harder to notice on smaller ones.

Or we could add more faces: lighter refine-added/removed for multi-line chunks,
and darker refine-added/removed faces for one-line differences.